Metadata-Version: 2.4
Name: coflect
Version: 0.1.1
Summary: Coflect: human-in-the-loop training framework (Torch-first, multi-backend roadmap).
Author: Coflect Contributors
License-Expression: Apache-2.0
Project-URL: Homepage, https://github.com/coflect/coflect
Project-URL: Documentation, https://github.com/coflect/coflect
Project-URL: Repository, https://github.com/coflect/coflect
Project-URL: Issues, https://github.com/coflect/coflect/issues
Keywords: machine-learning,human-in-the-loop,xai,pytorch,training
Classifier: Development Status :: 3 - Alpha
Classifier: Intended Audience :: Developers
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.10
Classifier: Programming Language :: Python :: 3.11
Classifier: Programming Language :: Python :: 3.12
Classifier: Topic :: Scientific/Engineering :: Artificial Intelligence
Requires-Python: >=3.10
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: requests<3,>=2.31
Requires-Dist: numpy<3,>=1.26
Requires-Dist: pillow<12,>=10
Requires-Dist: fastapi<1,>=0.115
Requires-Dist: uvicorn[standard]<1,>=0.30
Requires-Dist: pydantic<3,>=2.7
Requires-Dist: torch<2.9,>=2.4
Requires-Dist: torchvision<0.24,>=0.19
Provides-Extra: tensorflow
Requires-Dist: tensorflow<2.21,>=2.17; extra == "tensorflow"
Requires-Dist: keras<4,>=3.0; extra == "tensorflow"
Provides-Extra: jax
Requires-Dist: jax<0.8,>=0.4.30; extra == "jax"
Requires-Dist: jaxlib<0.8,>=0.4.30; extra == "jax"
Provides-Extra: dev
Requires-Dist: pytest<9,>=8.3; extra == "dev"
Requires-Dist: ruff<1,>=0.8; extra == "dev"
Requires-Dist: mypy<2,>=1.13; extra == "dev"
Requires-Dist: build<2,>=1.2; extra == "dev"
Requires-Dist: twine<7,>=6; extra == "dev"
Dynamic: license-file

# Coflect

Coflect is a human-in-the-loop deep learning framework for live training control with non-blocking explainability.

Torch is the primary production path. TensorFlow/Keras and JAX are available as optional extras.

## Install

```bash
pip install coflect
```

Optional extras:

```bash
pip install "coflect[tensorflow]"
pip install "coflect[jax]"
```

Python requirement: `>=3.10`.

## Quickstart

```bash
coflect-hitl-run \
  --backend torch \
  --dataset cifar10_catsdogs \
  --data_root ./data \
  --download_data \
  --steps 1000 \
  --xai_every 100 \
  --forecast_every 20
```

Open [http://localhost:8000](http://localhost:8000).

UI-only server command:

```bash
coflect-hitl-ui --host 127.0.0.1 --port 8000
```

## Project links

- Source code: [github.com/Coflect/Coflect](https://github.com/Coflect/Coflect)
- Documentation and examples: [github.com/Coflect/Coflect/tree/main/examples](https://github.com/Coflect/Coflect/tree/main/examples)
- Issue tracker: [github.com/Coflect/Coflect/issues](https://github.com/Coflect/Coflect/issues)
- Releases: [github.com/Coflect/Coflect/releases](https://github.com/Coflect/Coflect/releases)

License: Apache-2.0
